## ldb 1.5.1+really1.4.6

=== debian/changelog ===
ldb (2:1.5.1+really1.4.6-3+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib ldb: Check if ldb_lock_backend_callback called twice (CVE-2020-10730)
  * ldb_dn: avoid head corruption in ldb_dn_explode (CVE-2020-27840)
    (Closes: #985936)
  * ldb/attrib_handlers casefold: stay in bounds (CVE-2021-20277)
    (Closes: #985935)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 28 Mar 2021 10:35:25 +0200

ldb (2:1.5.1+really1.4.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 30 Mar 2019 18:09:28 +0100

ldb (2:1.5.1+really1.4.6-2) experimental; urgency=medium

  * Fix 00_Enable-make-test-even-without-lmdb.patch to prevent FTBFS on 32-bit
    systems

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 20:54:20 +0100

ldb (2:1.5.1+really1.4.6-1) experimental; urgency=medium

  * New upstream version 1.4.6
    - d/watch: Pin ldb version to 1.4.x
    - d/watch: Mangle 1.5.1+really from debian version
    - Update 00_Enable-make-test-even-without-lmdb.patch as merged upstream
    - Drop CVE-2019-3824-v4-9.patch, merged
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 07:26:57 +0100

=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               docbook-xml,
               docbook-xsl,
               libcmocka-dev (>= 1.1.1~),
               libldap2-dev,
               liblmdb-dev (>= 0.9.16),
               libpopt-dev,
               libtalloc-dev (>= 2.1.14~),
               libtdb-dev (>= 1.3.16~),
               libtevent-dev (>= 0.9.37~),
               pkg-config,
               python (>= 2.6.6-3),
               python-all-dbg (>= 2.6.6-3),
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.1.14~),
               python-tdb (>= 1.3.16~),
               xsltproc
Rules-Requires-Root: no
Homepage: http://ldb.samba.org/
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/samba-team/ldb
Vcs-Git: https://salsa.debian.org/samba-team/ldb.git

Package: libldb1
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libldb0
Breaks: ldb-tools (<<1.1.30~),
        libldb0,
        libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1),
        python-samba (<< 2:4.7.0~),
        samba (<<2:4.7.0~),
        samba-dsdb-modules (<< 2:4.7.0~),
        samba-libs (<< 2:4.7.0~),
        samba-testsuite (<< 2:4.7.0~)
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb1 (= ${binary:Version}),
         libtalloc-dev,
         libtdb-dev,
         pkg-config,
         ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python-ldb
Pre-Depends: ${misc:Pre-Depends}
Section: python
Architecture: any
Depends: libldb1 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python bindings.

Package: python-ldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev,
         pkg-config,
         python-ldb (= ${binary:Version}),
         ${misc:Depends}
Description: LDB Python bindings - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It is a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files for the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

export PYTHON=$(shell which `pyversions -d`)
export PYTHON_CONFIG="$(PYTHON)-config"
export WAF=$(PYTHON) ./buildtools/bin/waf -v

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $* --with python2

override_dh_auto_configure:
	PYTHON="$(PYTHON)" PYTHON_CONFIG="$(PYTHON_CONFIG)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
		$(WAF) configure --prefix=/usr --disable-rpath-install \
		--builtin-libraries=ccan,replace,tdb_compat \
		--bundled-libraries=NONE,pytevent \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-$(WAF) clean
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8854
	rm -f .lock-wscript
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8855
	rm -f buildtools/wafsamba/*.pyc \
		third_party/waf/wafadmin/*.pyc \
		third_party/waf/wafadmin/Tools/*.pyc

override_dh_auto_build:
	$(WAF) build

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(WAF) test
endif

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_install:
	DESTDIR=$(DESTDIR) $(WAF) install
	rm $(DESTDIR)/usr/lib/python*/dist-packages/_tevent.so
	rm $(DESTDIR)/usr/lib/python*/dist-packages/tevent.py
	ar cr libldb.a bin/default/common/*.o
	mv libldb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xldb.so -ppython-ldb -- -c4
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb1 -- -c4

## ldb 1.5.1+really1.4.6.1

=== debian/changelog ===
ldb (2:1.5.1+really1.4.6.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 5c84715310666fb95a391aee6f18147fbc661032']

 -- shuttle <shuttle@deepin.com>  Fri, 28 Aug 2020 14:49:59 +0000

## ldb 1.5.1+really1.4.6.2

=== debian/changelog ===
ldb (2:1.5.1+really1.4.6.2-1+security) unstable; urgency=medium

  * update

 -- Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>  Fri, 16 Apr 2021 14:49:12 +0800

ldb (2:1.5.1+really1.4.6.2-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-27840 CVE-2021-20277

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 16 Apr 2021 14:16:57 +0800

## ldb 1.5.1+really1.4.7

=== debian/changelog ===
ldb (2:1.5.1+really1.4.7-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Mathieu Parent ]
  * New upstream version 1.4.7
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 07 Jul 2019 10:06:38 +0200

## ldb 1.5.4

=== debian/changelog ===
ldb (2:1.5.4-0ubuntu1) disco; urgency=medium

  * New upstream version: 1.5.4 (LP: #1818525):
    - d/libldb1.symbols: update for this version
    - d/p/00_Enable-make-test-even-without-lmdb.patch: refreshed
    - Removed patches, applied upstream:
      + d/p/03_EBADE
      + d/p/CVE-2019-3824-*.patch
    - d/control: bump build-deps:
      + require talloc >= 2.1.16
      + require tdb >= 1.3.18
      + require tevent >= 0.9.39
    - d/libldb1.install: added libldb-tdb-{err-map,int}.so
  * d/rules: use Makefile targets instead of direct WAF calls
  * Add python3 packages (LP: #1440381):
    - d/control: add python3 packages
    - d/rules: clean extra paths in the clean target
    - d/python3-ldb*.install: install files for the new python3 packages.
    - d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and
      install the python header file in a version-dependent include dir.
    - d/python3-ldb.symbols.*: add per-architecture symbols files
    - d/rules: dh_makeshlibs for python3-ldb
    - d/rules: exclude "ldb." from symbols check/generation, as to match
      the python3 extension name.
    - d/rules: fix tevent globbing used in its removal
  * d/control, d/python-ldb*, d/rules: drop python2 packages and support

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 08 Mar 2019 16:41:11 +0000

ldb (2:1.5.1+really1.4.3-1ubuntu2) disco; urgency=medium

  * SECURITY UPDATE: Out of bound read in ldb_wildcard_compare
    - debian/patches/CVE-2019-3824-1.patch: fix length.
    - debian/patches/CVE-2019-3824-2.patch: add extra comments.
    - debian/patches/CVE-2019-3824-3.patch: improve code style.
    - debian/patches/CVE-2019-3824-4.patch: use talloc_zero.
    - debian/patches/CVE-2019-3824-5.patch: check tree operation.
    - debian/patches/CVE-2019-3824-6.patch: fix end of data check.
    - CVE-2019-3824

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Feb 2019 11:37:34 -0500

ldb (2:1.5.1+really1.4.3-1ubuntu1) disco; urgency=medium

  * Do not build with libmdb which is in Universe:
    - d/control: drop build-depends on libmdb-dev
    - d/libldb1.install: do not install libldb-mdb-int.so
    - d/rules: build without lmdb

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 27 Nov 2018 11:44:53 -0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $* --with python3

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
		./configure --prefix=/usr --disable-rpath-install \
		--builtin-libraries=ccan,replace,tdb_compat \
		--bundled-libraries=NONE,pytevent \
		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules \
		--without-ldb-lmdb

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8854
	rm -f .lock-wscript
	# Waf should be doing this; see
	# https://bugzilla.samba.org/show_bug.cgi?id=8855
	find . -name __pycache__ -o -name "*.pyc" -exec rm -rf {} \;

override_dh_auto_build:
	$(MAKE) all

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif

override_dh_install:
	DEB_PY3_INCDIR=$(shell python3-config --includes | sed 's,^-I\([^ ]*\).*,\1,') \
		dh_install

override_dh_auto_install:
	DESTDIR=$(DESTDIR) $(MAKE) install
	rm $(DESTDIR)/usr/lib/python*/dist-packages/_tevent*.so
	rm $(DESTDIR)/usr/lib/python*/dist-packages/tevent.py
	ar cr libldb.a bin/default/common/*.o
	mv libldb.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xldb. -ppython3-ldb -- -c4
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb1 -- -c4

## ldb 1.5.5

=== wscript ===
#!/usr/bin/env python

APPNAME = 'ldb'
VERSION = '1.5.5'

import sys, os

# find the buildtools directory
top = '.'
while not os.path.exists(top+'/buildtools') and len(top.split('/')) < 5:
    top = top + '/..'
sys.path.insert(0, top + '/buildtools/wafsamba')

out = 'bin'

import wafsamba
from wafsamba import samba_dist, samba_utils
from waflib import Errors, Options, Logs, Context
import shutil

samba_dist.DIST_DIRS('''lib/ldb:. lib/replace:lib/replace lib/talloc:lib/talloc
                        lib/tdb:lib/tdb lib/tdb:lib/tdb lib/tevent:lib/tevent
                        third_party/popt:third_party/popt
                        third_party/cmocka:third_party/cmocka
                        buildtools:buildtools third_party/waf:third_party/waf''')

samba_dist.DIST_FILES('''lib/util/binsearch.h:lib/util/binsearch.h''')

def options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('ldb', noextension='ldb')
    opt.RECURSE('lib/tdb')
    opt.RECURSE('lib/tevent')
    opt.RECURSE('lib/replace')
    opt.load('python') # options for disabling pyc or pyo compilation

    opt.add_option('--without-ldb-lmdb',
                   help='disable new LMDB backend for LDB',
                   action='store_true', dest='without_ldb_lmdb', default=False)


def configure(conf):
    conf.RECURSE('lib/tdb')
    conf.RECURSE('lib/tevent')

    if conf.CHECK_FOR_THIRD_PARTY():
        conf.RECURSE('third_party/popt')
        conf.RECURSE('third_party/cmocka')
    else:
        if not conf.CHECK_POPT():
            raise Errors.WafError('popt development packages have not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_POPT', 1)

        if not conf.CHECK_CMOCKA():
            raise Errors.WafError('cmocka development package have not been found.\nIf third_party is installed, check that it is in the proper place.')
        else:
            conf.define('USING_SYSTEM_CMOCKA', 1)

    conf.RECURSE('lib/replace')
    conf.find_program('python', var='PYTHON')
    conf.find_program('xsltproc', var='XSLTPROC')
    conf.load('python')
    conf.check_python_version((2,4,2))
    conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=not conf.env.disable_python)

    # where does the default LIBDIR end up? in conf.env somewhere?
    #
    conf.CONFIG_PATH('LDB_MODULESDIR', conf.SUBST_ENV_VAR('MODULESDIR') + '/ldb')

    conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_ldb:
        max_ldb_version = [int(x) for x in VERSION.split(".")]
        max_ldb_version[2] = 999
        max_ldb_version_dots = "%d.%d.%d" % tuple(max_ldb_version)

        if conf.env.disable_python:
            if conf.CHECK_BUNDLED_SYSTEM_PKG('ldb',
                                             minversion=VERSION,
                                             maxversion=max_ldb_version_dots,
                                             onlyif='talloc tdb tevent',
                                             implied_deps='replace talloc tdb tevent'):
                conf.define('USING_SYSTEM_LDB', 1)
        else:
            using_system_pyldb_util = True
            dflt_name = 'pyldb-util' + conf.all_envs['default']['PYTHON_SO_ABI_FLAG']
            if not conf.CHECK_BUNDLED_SYSTEM_PKG(dflt_name,
                                                 minversion=VERSION,
                                                 maxversion=max_ldb_version_dots,
                                                 onlyif='talloc tdb tevent',
                                                 implied_deps='replace talloc tdb tevent ldb'):
                using_system_pyldb_util = False

            # We need to get a pyldb-util for all the python versions
            # we are building for
            if conf.env['EXTRA_PYTHON']:
                name = 'pyldb-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
                if not conf.CHECK_BUNDLED_SYSTEM_PKG(name,
                                                     minversion=VERSION,
                                                     maxversion=max_ldb_version_dots,
                                                     onlyif='talloc tdb tevent',
                                                     implied_deps='replace talloc tdb tevent ldb'):
                    using_system_pyldb_util = False

            if using_system_pyldb_util:
                conf.define('USING_SYSTEM_PYLDB_UTIL', 1)

            if conf.CHECK_BUNDLED_SYSTEM_PKG('ldb',
                                             minversion=VERSION,
                                             maxversion=max_ldb_version_dots,
                                             onlyif='talloc tdb tevent %s' % dflt_name,
                                             implied_deps='replace talloc tdb tevent'):
                conf.define('USING_SYSTEM_LDB', 1)

    if not conf.CHECK_CODE('return !(sizeof(size_t) >= 8)',
                           "HAVE_64_BIT_SIZE_T_FOR_LMDB",
                           execute=True,
                           msg='Checking for a 64-bit host to '
                           'support lmdb'):
        Logs.warn("--without-ldb-lmdb implied as this "
                  "host is not 64-bit")

        if not conf.env.standalone_ldb and \
           not Options.options.without_ad_dc and \
           conf.CONFIG_GET('ENABLE_SELFTEST'):
            Logs.warn("NOTE: Some AD DC parts of selftest will fail")

        conf.env.REQUIRE_LMDB = False
    else:
        if conf.env.standalone_ldb:
            if Options.options.without_ldb_lmdb:
                conf.env.REQUIRE_LMDB = False
            else:
                conf.env.REQUIRE_LMDB = True
        elif Options.options.without_ad_dc:
            conf.env.REQUIRE_LMDB = False
        else:
            if Options.options.without_ldb_lmdb:
                if not Options.options.without_ad_dc and \
                   conf.CONFIG_GET('ENABLE_SELFTEST'):
                    raise Errors.WafError('--without-ldb-lmdb conflicts '
                                         'with --enable-selftest while '
                                         'building the AD DC')

                conf.env.REQUIRE_LMDB = False
            else:
                conf.env.REQUIRE_LMDB = True


    if conf.CONFIG_SET('USING_SYSTEM_LDB'):
        v = VERSION.split('.')
        conf.DEFINE('EXPECTED_SYSTEM_LDB_VERSION_MAJOR', int(v[0]))
        conf.DEFINE('EXPECTED_SYSTEM_LDB_VERSION_MINOR', int(v[1]))
        conf.DEFINE('EXPECTED_SYSTEM_LDB_VERSION_RELEASE', int(v[2]))

    if conf.env.standalone_ldb:
        conf.CHECK_XSLTPROC_MANPAGES()

        # we need this for the ldap backend
        if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
            conf.env.ENABLE_LDAP_BACKEND = True

        # we don't want any libraries or modules to rely on runtime
        # resolution of symbols
        if not sys.platform.startswith("openbsd"):
            conf.ADD_LDFLAGS('-Wl,-no-undefined', testflags=True)

    # if lmdb support is enabled then we require lmdb
    # is present, build the mdb back end and enable lmdb support in
    # the tools.
    if conf.env.REQUIRE_LMDB and \
       not conf.CONFIG_SET('USING_SYSTEM_LDB'):
        if not conf.CHECK_CFG(package='lmdb',
                              args='"lmdb >= 0.9.16" --cflags --libs',
                              msg='Checking for lmdb >= 0.9.16',
                              mandatory=False):
            if not conf.CHECK_CODE('''
                    #if MDB_VERSION_MAJOR == 0 \
                      && MDB_VERSION_MINOR <= 9 \
                      && MDB_VERSION_PATCH < 16
                    #error LMDB too old
                    #endif
                    ''',
                    'HAVE_GOOD_LMDB_VERSION',
                    headers='lmdb.h',
                    msg='Checking for lmdb >= 0.9.16 via header check'):

                if conf.env.standalone_ldb:
                    raise Errors.WafError('ldb build (unless --without-ldb-lmdb) '
                                         'requires '
                                         'lmdb 0.9.16 or later')
                elif not Options.options.without_ad_dc:
                    raise Errors.WafError('Samba AD DC and --enable-selftest '
                                         'requires '
                                         'lmdb 0.9.16 or later')

        if conf.CHECK_FUNCS_IN('mdb_env_create', 'lmdb', headers='lmdb.h'):
            conf.DEFINE('HAVE_LMDB', '1')


    conf.DEFINE('HAVE_CONFIG_H', 1, add_to_cflags=True)

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/tevent')

    if bld.CHECK_FOR_THIRD_PARTY():
        bld.RECURSE('third_party/popt')
        bld.RECURSE('third_party/cmocka')

    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/tdb')

    if bld.env.standalone_ldb:
        if not 'PACKAGE_VERSION' in bld.env:
            bld.env.PACKAGE_VERSION = VERSION
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True
    # we're not currently linking against the ldap libs, but ldb.pc.in
    # has @LDAP_LIBS@
    bld.env.LDAP_LIBS = ''

    LDB_MAP_SRC = bld.SUBDIR('ldb_map',
                             'ldb_map.c ldb_map_inbound.c ldb_map_outbound.c')

    COMMON_SRC = bld.SUBDIR('common',
                            '''ldb_modules.c ldb_ldif.c ldb_parse.c ldb_msg.c ldb_utf8.c
                            ldb_debug.c ldb_dn.c ldb_match.c ldb_options.c ldb_pack.c
                            ldb_attributes.c attrib_handlers.c ldb_controls.c qsort.c''')

    bld.SAMBA_MODULE('ldb_ldap', 'ldb_ldap/ldb_ldap.c',
                     init_function='ldb_ldap_init',
                     module_init_name='ldb_init_module',
                     deps='talloc lber ldap ldb',
                     enabled=bld.env.ENABLE_LDAP_BACKEND,
                     internal_module=False,
                     subsystem='ldb')

    if bld.PYTHON_BUILD_IS_ENABLED():
        if not bld.CONFIG_SET('USING_SYSTEM_PYLDB_UTIL'):
            for env in bld.gen_python_environments(['PKGCONFIGDIR']):

                name = bld.pyembed_libname('pyldb-util')
                bld.SAMBA_LIBRARY(name,
                                  deps='replace ldb',
                                  source='pyldb_util.c',
                                  public_headers=('' if private_library else 'pyldb.h'),
                                  public_headers_install=not private_library,
                                  vnum=VERSION,
                                  private_library=private_library,
                                  pc_files='pyldb-util.pc',
                                  pyembed=True,
                                  enabled=bld.PYTHON_BUILD_IS_ENABLED(),
                                  abi_directory='ABI',
                                  abi_match='pyldb_*')

                if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
                    bld.SAMBA_PYTHON('pyldb', 'pyldb.c',
                                     deps='replace ldb ' + name,
                                     realname='ldb.so',
                                     cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)

        # Do only install this file as part of the Samba build if we do not
        # use the system libldb!
        if not bld.CONFIG_SET('USING_SYSTEM_PYLDB_UTIL'):
            for env in bld.gen_python_environments(['PKGCONFIGDIR']):
                    bld.SAMBA_SCRIPT('_ldb_text.py',
                                     pattern='_ldb_text.py',
                                     installdir='python')

                    bld.INSTALL_FILES('${PYTHONARCHDIR}', '_ldb_text.py')

    if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
        if bld.is_install:
            modules_dir = bld.EXPAND_VARIABLES('${LDB_MODULESDIR}')

=== debian/changelog ===
ldb (2:1.5.5-0ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:55:57 +0000

ldb (2:1.5.5-0ubuntu1) eoan; urgency=medium

  * New upstream release: 1.5.5
    - d/python3-ldb.symbols.*, d/libldb1.symbols: updated symbols

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 08 Aug 2019 16:15:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 11),
+               dh-exec,
                dh-python,
                docbook-xml,
                docbook-xsl,
                libcmocka-dev (>= 1.1.1~),
                libldap2-dev,
-               liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.14~),
-               libtdb-dev (>= 1.3.16~),
-               libtevent-dev (>= 0.9.37~),
+               libtalloc-dev (>= 2.1.16~),
+               libtdb-dev (>= 1.3.18~),
+               libtevent-dev (>= 0.9.39~),
                pkg-config,
-               python (>= 2.6.6-3),
-               python-all-dbg (>= 2.6.6-3),
-               python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.14~),
-               python-tdb (>= 1.3.16~),
+               python3,
+               python3-all-dbg (>= 2.6.6-3),
+               python3-all-dev (>= 2.6.6-3),
+               python3-talloc-dev (>= 2.1.16~),
+               python3-tdb (>= 1.3.18~),
                xsltproc
 Rules-Requires-Root: no
 Homepage: http://ldb.samba.org/
@@ -89,31 +90,31 @@
  .
  This package contains the development files.
 
-Package: python-ldb
+Package: python3-ldb
 Pre-Depends: ${misc:Pre-Depends}
 Section: python
 Architecture: any
 Depends: libldb1 (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
-Description: Python bindings for LDB
+Description: Python 3 bindings for LDB
  ldb is a LDAP-like embedded database built on top of TDB.
  .
- This package contains the Python bindings.
+ This package contains the Python 3 bindings.
 
-Package: python-ldb-dev
+Package: python3-ldb-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libc6-dev,
          libldb-dev,
          pkg-config,
-         python-ldb (= ${binary:Version}),
+         python3-ldb (= ${binary:Version}),
          ${misc:Depends}
-Description: LDB Python bindings - development files
+Description: LDB Python 3 bindings - development files
  ldb is a LDAP-like embedded database built on top of TDB.
  .
  It is a fast database with an LDAP-like API designed
@@ -121,4 +122,4 @@
  intermediate solution between key-value pair databases and a real LDAP
  database.
  .
- This package contains the development files for the Python bindings.
+ This package contains the development files for the Python 3 bindings.

## ldb 1.5.7

=== debian/changelog ===
ldb (2:1.5.7-0ubuntu0.19.10.1) eoan-security; urgency=medium

  * Updated to 1.5.7 to fix samba security issue.
    - debian/*.symbols*: added new 1.5.7 symbols.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Apr 2020 09:49:56 -0400

## ldb 2.0.8

=== debian/changelog ===
ldb (2:2.0.8-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/python3-ldb.symbols*: update symbols for python 3.8 (Closes: #953331)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 09 Mar 2020 11:05:52 +0100

ldb (2:2.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.

  [ Mathieu Parent ]
  * d/watch: Remove outdated dversionmangle
  * d/watch: Pin to ldb 2.0.x (for samba 4.11)
  * New upstream version 2.0.8
    - Update symbols
  * Standards-Version: 4.5.0, no change
  * d/control: libldb-dev Depends libtevent-dev

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Jan 2020 10:45:29 +0100

ldb (2:2.0.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Mathieu Parent ]
  * Only build on default python3 (Closes: #942669)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:42:51 +0100

ldb (2:2.0.7-3) unstable; urgency=medium

  * Fix FTBFS on some arches:
    - Skip test_guid_indexed_v1_db on mips64el, ppc64el, ia64, ppc64

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 21:26:49 +0200

ldb (2:2.0.7-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Mathieu Parent ]
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 07:07:59 +0200

ldb (2:2.0.7-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 2.0.7
    - d/watch: Unpin ldb to 1.4.x
    - d/control: Bump build-deps: talloc 2.2.0, tdb 1.4.2, tevent 0.10.0
    - Drop 00_Enable-make-test-even-without-lmdb.patch, merged
    - Replace libldb1 by libldb2 (ABI Bump)
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Mon, 16 Sep 2019 13:59:24 +0200

ldb (2:1.5.5-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright:
    - Move common/qsort.c as if it was lib/ldb/common/qsort.c
    - Move tools/* as if it was lib/ldb/tools/*
    - Sort lib/{talloc,tdb,tevent}

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Sep 2019 18:21:30 +0200

ldb (2:1.5.5-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream version 1.5.5
  * Update salsa-ci.yml

  [ Timo Aaltonen ]
  * d/p/00_Enable-make-test-even-without-lmdb.patch: Refreshed.
  * d/p/03_EBADE: Dropped, upstream.
  * d/control: Bump build-deps: talloc 2.1.16, tdb 1.3.18, tevent 0.9.39.
  * d/libldb1.install: added libldb-tdb-{err-map,int}.so
  * d/rules: use Makefile targets instead of direct WAF calls
  * Add python3 packages.
  * d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and install the
    python header file in a version-dependent include dir.
  * d/python3-ldb.symbols.*: add per-architecture symbols files
  * d/libldb1.symbols: update for this version
  * d/rules: clean extra paths in the clean target
  * d/rules: fix tevent globbing used in its removal
  * d/control, d/python-ldb*, d/rules: drop python2 packages and support

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Contact, Name.

  [ Mathieu Parent ]
  * Fix file-contains-trailing-whitespace in d/control and d/rules
  * Standards-Version: 4.4.0
  * Override wrong-section-according-to-package-name python3-ldb-dev => python
  * Mark debian/python3-ldb-dev.install executable
  * Override package-name-doesnt-match-sonames libpyldb-util.cpython-*
  * d/copyright: Add waf copyright
  * d/copyright: Update lib/replace/*
  * d/copyright: Add missing lib/talloc/*
  * Add dh-exec-subst-unknown-variable override (for DEB_PY3_INCDIR)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Aug 2019 06:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 11),
-               dh-exec,
+Build-Depends: dh-exec,
                dh-python,
                docbook-xml,
                docbook-xsl,
                libcmocka-dev (>= 1.1.1~),
                libldap2-dev,
+               liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.1.16~),
-               libtdb-dev (>= 1.3.18~),
-               libtevent-dev (>= 0.9.39~),
+               libtalloc-dev (>= 2.2.0~),
+               libtdb-dev (>= 1.4.2~),
+               libtevent-dev (>= 0.10.0~),
                pkg-config,
                python3,
-               python3-all-dbg (>= 2.6.6-3),
-               python3-all-dev (>= 2.6.6-3),
-               python3-talloc-dev (>= 2.1.16~),
-               python3-tdb (>= 1.3.18~),
-               xsltproc
+               python3-dbg,
+               python3-dev,
+               python3-talloc-dev (>= 2.2.0~),
+               python3-tdb (>= 1.4.2~),
+               xsltproc,
+               debhelper-compat (= 12)
 Rules-Requires-Root: no
-Homepage: http://ldb.samba.org/
-Standards-Version: 4.2.1
+Homepage: https://ldb.samba.org/
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
 
-Package: libldb1
+Package: libldb2
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
@@ -39,6 +39,7 @@
 Replaces: libldb0
 Breaks: ldb-tools (<<1.1.30~),
         libldb0,
+        libldb1 (<< 2:2~),
         libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1),
         python-samba (<< 2:4.7.0~),
         samba (<<2:4.7.0~),
@@ -75,8 +76,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libc6-dev,
-         libldb1 (= ${binary:Version}),
+         libldb2 (= ${binary:Version}),
          libtalloc-dev,
+         libtevent-dev,
          libtdb-dev,
          pkg-config,
          ${misc:Depends}
@@ -94,7 +96,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: python
 Architecture: any
-Depends: libldb1 (= ${binary:Version}),
+Depends: libldb2 (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,10 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $* --with python3
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
@@ -32,8 +32,7 @@
 		--bundled-libraries=NONE,pytevent \
 		--minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules \
-		--without-ldb-lmdb
+		--with-modulesdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules
 
 get-packaged-orig-source:
 	./debian/build-orig.sh
@@ -71,4 +70,4 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xldb. -ppython3-ldb -- -c4
-	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb1 -- -c4
+	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb2 -- -c4

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress" \
https://download.samba.org/pub/ldb/ ldb-(2\.0\..+).tar.gz

## ldb 2.1.4

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'ldb'
-VERSION = '1.5.5'
+VERSION = '2.1.4'
 
 import sys, os
 
@@ -24,7 +24,8 @@
                         third_party/cmocka:third_party/cmocka
                         buildtools:buildtools third_party/waf:third_party/waf''')
 
-samba_dist.DIST_FILES('''lib/util/binsearch.h:lib/util/binsearch.h''')
+samba_dist.DIST_FILES('''lib/util/binsearch.h:lib/util/binsearch.h
+                         lib/util/attr.h:lib/util/attr.h''')
 
 def options(opt):
     opt.BUILTIN_DEFAULT('replace')
@@ -58,11 +59,9 @@
             conf.define('USING_SYSTEM_CMOCKA', 1)
 
     conf.RECURSE('lib/replace')
-    conf.find_program('python', var='PYTHON')
     conf.find_program('xsltproc', var='XSLTPROC')
-    conf.load('python')
-    conf.check_python_version((2,4,2))
-    conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=not conf.env.disable_python)
+    conf.SAMBA_CHECK_PYTHON()
+    conf.SAMBA_CHECK_PYTHON_HEADERS()
 
     # where does the default LIBDIR end up? in conf.env somewhere?
     #
@@ -91,17 +90,6 @@
                                                  onlyif='talloc tdb tevent',
                                                  implied_deps='replace talloc tdb tevent ldb'):
                 using_system_pyldb_util = False
-
-            # We need to get a pyldb-util for all the python versions
-            # we are building for
-            if conf.env['EXTRA_PYTHON']:
-                name = 'pyldb-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
-                if not conf.CHECK_BUNDLED_SYSTEM_PKG(name,
-                                                     minversion=VERSION,
-                                                     maxversion=max_ldb_version_dots,
-                                                     onlyif='talloc tdb tevent',
-                                                     implied_deps='replace talloc tdb tevent ldb'):
-                    using_system_pyldb_util = False
 
             if using_system_pyldb_util:
                 conf.define('USING_SYSTEM_PYLDB_UTIL', 1)
@@ -197,6 +185,7 @@
 
         if conf.CHECK_FUNCS_IN('mdb_env_create', 'lmdb', headers='lmdb.h'):
             conf.DEFINE('HAVE_LMDB', '1')
+            conf.env.HAVE_LMDB = True
 
 
     conf.DEFINE('HAVE_CONFIG_H', 1, add_to_cflags=True)
@@ -244,38 +233,55 @@
 
     if bld.PYTHON_BUILD_IS_ENABLED():
         if not bld.CONFIG_SET('USING_SYSTEM_PYLDB_UTIL'):
-            for env in bld.gen_python_environments(['PKGCONFIGDIR']):
-
-                name = bld.pyembed_libname('pyldb-util')
-                bld.SAMBA_LIBRARY(name,
-                                  deps='replace ldb',
-                                  source='pyldb_util.c',
-                                  public_headers=('' if private_library else 'pyldb.h'),
-                                  public_headers_install=not private_library,
-                                  vnum=VERSION,
-                                  private_library=private_library,
-                                  pc_files='pyldb-util.pc',
-                                  pyembed=True,
-                                  enabled=bld.PYTHON_BUILD_IS_ENABLED(),
-                                  abi_directory='ABI',
-                                  abi_match='pyldb_*')
-
-                if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
-                    bld.SAMBA_PYTHON('pyldb', 'pyldb.c',
-                                     deps='replace ldb ' + name,
-                                     realname='ldb.so',
-                                     cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)
+            name = bld.pyembed_libname('pyldb-util')
+            bld.SAMBA_LIBRARY(name,
+                              deps='replace ldb',
+                              source='pyldb_util.c',
+                              public_headers=('' if private_library else 'pyldb.h'),
+                              public_headers_install=not private_library,
+                              vnum=VERSION,
+                              private_library=private_library,
+                              pc_files='pyldb-util.pc',
+                              pyembed=True,
+                              enabled=bld.PYTHON_BUILD_IS_ENABLED(),
+                              abi_directory='ABI',
+                              abi_match='pyldb_*')
+
+            if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
+                bld.SAMBA_PYTHON('pyldb', 'pyldb.c',
+                                 deps='replace ldb ' + name,
+                                 realname='ldb.so',
+                                 cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)
 
         # Do only install this file as part of the Samba build if we do not
         # use the system libldb!
         if not bld.CONFIG_SET('USING_SYSTEM_PYLDB_UTIL'):
-            for env in bld.gen_python_environments(['PKGCONFIGDIR']):
-                    bld.SAMBA_SCRIPT('_ldb_text.py',
-                                     pattern='_ldb_text.py',
-                                     installdir='python')
-
-                    bld.INSTALL_FILES('${PYTHONARCHDIR}', '_ldb_text.py')
+            bld.SAMBA_SCRIPT('_ldb_text.py',
+                             pattern='_ldb_text.py',
+                             installdir='python')
+
+            bld.INSTALL_FILES('${PYTHONARCHDIR}', '_ldb_text.py')
 
     if not bld.CONFIG_SET('USING_SYSTEM_LDB'):
         if bld.is_install:
             modules_dir = bld.EXPAND_VARIABLES('${LDB_MODULESDIR}')
+        else:
+            # when we run from the source directory, we want to use
+            # the current modules, not the installed ones
+            modules_dir = os.path.join(os.getcwd(), 'bin/modules/ldb')
+
+        abi_match = '!ldb_*module_ops !ldb_*backend_ops ldb_*'
+
+        ldb_headers = ('include/ldb.h include/ldb_errors.h '
+                       'include/ldb_module.h include/ldb_handlers.h')
+
+        bld.SAMBA_LIBRARY('ldb',
+                          COMMON_SRC + ' ' + LDB_MAP_SRC,
+                          deps='tevent LIBLDB_MAIN replace',
+                          includes='include',
+                          public_headers=('' if private_library else ldb_headers),
+                          public_headers_install=not private_library,
+                          pc_files='ldb.pc',
+                          vnum=VERSION,
+                          private_library=private_library,
+                          manpages='man/ldb.3',

=== debian/changelog ===
ldb (2:2.1.4-2ubuntu0.1) groovy-security; urgency=medium

  * SECURITY UPDATE: Heap corruption via crafted DN strings
    - debian/patches/CVE-2020-27840-1.patch: avoid head corruption in
      ldb_dn_explode in common/ldb_dn.c.
    - debian/patches/CVE-2020-27840-2.patch: add Dn.validate test to ldb
      in tests/python/crash.py, wscript.
    - CVE-2020-27840
  * SECURITY UPDATE: Out of bounds read in AD DC LDAP server
    - debian/patches/CVE-2021-20277-1.patch: add tests for
      ldb_wildcard_compare in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-2.patch: ldb_match tests with extra
      spaces in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-3.patch: remove tests from
      ldb_match_test that do not pass in tests/ldb_match_test.c.
    - debian/patches/CVE-2021-20277-4.patch: stay in bounds in
      common/attrib_handlers.c.
    - CVE-2021-20277

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Mar 2021 07:53:29 -0400

ldb (2:2.1.4-2) unstable; urgency=high

  * Also skip test_guid_indexed_v1_db on mipsel
  * Also skip ldb_lmdb_free_list_test on ia64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 14:25:48 +0200

ldb (2:2.1.4-1) unstable; urgency=high

  * New upstream version 2.1.4
    - CVE-2020-10730: NULL pointer de-reference and use-after-free in Samba AD
      DC LDAP Server with ASQ, VLV and paged_results.
    - Updade symbols, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 12:28:49 +0200

ldb (2:2.1.3-4) unstable; urgency=medium

  * Upload to unstable
  * Also skip ldb_lmdb_free_list_test on alpha

 -- Mathieu Parent <sathieu@debian.org>  Sun, 28 Jun 2020 11:28:16 +0200

ldb (2:2.1.3-3) experimental; urgency=medium

  * FTBFS: Also skip test_guid_indexed_v1_db on powerpc
  * FTBFS: Skip ldb_lmdb_free_list_test on ppc64el, ppc64 and sparc64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 15:16:24 +0200

ldb (2:2.1.3-2) experimental; urgency=medium

  * Fix FTBFS / Increase the over-estimation for sparse files

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 09:48:54 +0200

ldb (2:2.1.3-1) experimental; urgency=medium

  * New upstream version 2.1.3
    - d/watch: Move to 2.1.x for samba 4.12.x
    - Update symbols
    - d/control: Bump build-deps: talloc 2.3.1, tdb 1.4.3, tevent 0.10.2

 -- Mathieu Parent <sathieu@debian.org>  Tue, 23 Jun 2020 17:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
 Build-Depends: dh-exec,
@@ -12,15 +13,15 @@
                libldap2-dev,
                liblmdb-dev (>= 0.9.16),
                libpopt-dev,
-               libtalloc-dev (>= 2.2.0~),
-               libtdb-dev (>= 1.4.2~),
-               libtevent-dev (>= 0.10.0~),
+               libtalloc-dev (>= 2.3.1~),
+               libtdb-dev (>= 1.4.3~),
+               libtevent-dev (>= 0.10.2~),
                pkg-config,
                python3,
                python3-dbg,
                python3-dev,
-               python3-talloc-dev (>= 2.2.0~),
-               python3-tdb (>= 1.4.2~),
+               python3-talloc-dev (>= 2.3.1~),
+               python3-tdb (>= 1.4.3~),
                xsltproc,
                debhelper-compat (= 12)
 Rules-Requires-Root: no

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress" \
https://download.samba.org/pub/ldb/ ldb-(2\.1\..+).tar.gz
